local make_sound = defense_mob_api.library.make_sound
local do_observers = defense_mob_api.library.set_up_observers("register_on_die")

function defense_mob_api.library.die(self, killer)
	do_observers(self, die)
	
	self.dead = true
	make_sound(self, "die", true)
	self:on_death(killer)
	self:remove()
end

